Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.security
Class CustomSSLServerSocketFactory

    java.lang.Object
      javax.net.ServerSocketFactory
          javax.net.ssl.SSLServerSocketFactory
              org.jboss.remoting.security.CustomSSLServerSocketFactory

Direct Known Subclasses:
  SSLServerSocketFactoryService

    public class CustomSSLServerSocketFactory

extends javax.net.ssl.SSLServerSocketFactory

SSL server socket factory whose configuration is customized.

Version:
  $Revision: 1099 $
Author:
  John Mazzitelli

Constructor Summary
`CustomSSLServerSocketFactory()`
`CustomSSLServerSocketFactory(javax.net.ssl.SSLServerSocketFactory factory, SSLSocketBuilderMBean builder)` Constructor for `CustomSSLServerSocketFactory`.

Method Summary
`java.net.ServerSocket` | `createServerSocket()`
`java.net.ServerSocket` | `createServerSocket(int port)`
`java.net.ServerSocket` | `createServerSocket(int port, int backlog)`
`java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress ifAddress)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String[]` | `getDefaultCipherSuites()`
`SSLSocketBuilderMBean` | `getSSLSocketBuilder()` Returns the builder that created this factory.
`java.lang.String[]` | `getSupportedCipherSuites()`
`int` | `hashCode()`
`void` | `setFactory(javax.net.ssl.SSLServerSocketFactory factory)` Sets a new factory in this object - this is the factory that this object will use to create new sockets.
`void` | `setSSLSocketBuilder(SSLSocketBuilderMBean sslSocketBuilder)` Sets the builder that creates the true socket server factory.
`java.lang.String` | `toString()`

Methods inherited from class javax.net.ssl.SSLServerSocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomSSLServerSocketFactory

    public CustomSSLServerSocketFactory(javax.net.ssl.SSLServerSocketFactory factory,
                                        SSLSocketBuilderMBean builder)

  Constructor for `CustomSSLServerSocketFactory`. The factory can be `null` - call `setFactory(SSLServerSocketFactory)` to set it later.

  Parameters:
    `factory` - the true factory this class delegates to
    `builder` - the class that built this custom factory - contains all the configuration for this factory

### CustomSSLServerSocketFactory

    public CustomSSLServerSocketFactory()

Method Detail

### setSSLSocketBuilder

    public void setSSLSocketBuilder(SSLSocketBuilderMBean sslSocketBuilder)

  Sets the builder that creates the true socket server factory.

  Parameters:
    `sslSocketBuilder` -

### getSSLSocketBuilder

    public SSLSocketBuilderMBean getSSLSocketBuilder()

  Returns the builder that created this factory. You can obtain the configuration of this factory by examining the returned object's configuration.

  Returns:
    the builder

### setFactory

    public void setFactory(javax.net.ssl.SSLServerSocketFactory factory)

  Sets a new factory in this object - this is the factory that this object will use to create new sockets.

  Parameters:
    `factory` - the new factory
  Throws:
    `java.lang.IllegalArgumentException` - if factory is `null`

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  Overrides:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocketFactory.createServerSocket()`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocketFactory.createServerSocket(int)`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocketFactory.createServerSocket(int, int)`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    java.net.InetAddress ifAddress)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocketFactory.createServerSocket(int, int, java.net.InetAddress)`

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `javax.net.ssl.SSLServerSocketFactory`
  See Also:
    `SSLServerSocketFactory.getDefaultCipherSuites()`

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `javax.net.ssl.SSLServerSocketFactory`
  See Also:
    `SSLServerSocketFactory.getSupportedCipherSuites()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.